Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	PIM Storage Service
Name:    	akonadi
Version: 	1.4.0
Release: 	1

Group:  	System/Libraries
License: 	LGPLv2+
URL:     	http://pim.kde.org/akonadi/
Source0: 	akonadi-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1

BuildRequires: cmake
# for xsltproc
BuildRequires: libxslt
BuildRequires: shared-mime-info 
BuildRequires: automoc4

BuildRequires: mysql-devel

BuildRequires: libX11-devel

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel
BuildRequires: soprano-devel

%description
%{summary}.

%package devel
Summary: 	Developer files for %{name}
Group:   	Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires: 	qt4-devel
%description devel
%{summary}.

%prep
%setup -q

%build
%cmake . -DCONFIG_INSTALL_DIR=%{_sysconfdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS lgpl-license
%dir %{_sysconfdir}/akonadi/
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global.conf
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global-mobile.conf
%{_bindir}/akonadi_rds
%{_bindir}/akonadi_control
%{_bindir}/akonadictl
%{_bindir}/akonadiserver
%{_libdir}/libakonadi*.so.*
# own this completely for now, see #334681)
%{_datadir}/dbus-1/interfaces/
#%{_datadir}/dbus-1/services/org.kde.Akonadi.Control.service
%{_datadir}/mime/packages/akonadi-mime.xml
%{_datadir}/dbus-1/services/org.freedesktop.Akonadi.Control.service
     
%files devel
%defattr(-,root,root,-)
%{_includedir}/akonadi/
%{_libdir}/libakonadi*.so
%{_libdir}/pkgconfig/akonadi.pc
%{_libdir}/cmake/Akonadi/AkonadiConfig.cmake
%{_libdir}/cmake/Akonadi/AkonadiConfigVersion.cmake

%changelog
* Mon Aug 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Wed Jul 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.90-1
- Version update
- experimental package branch
* Tue Feb 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version update
* Tue Sep 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Wed Aug 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.95-1
- Version update
* Sun Jul 19 2009 Stefan Gottwald <gotti@ccux-linux.de> 1.1.2-1
- Version update 
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Sat Nov 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.80-1
- Version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Tue May 27 2008 Christian Metzen <metzench@ccux-linux.de> 0.80.1-1
- Version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.80.0-1
- Initial release
